package cn.palmte.work.bean;

import java.math.BigDecimal;

public class EstimateSettleBean {

    //========================收入表================================

    /**
     * 设备类决算总额
     */
    private BigDecimal incomeDeviceEstimateTotal;

    /**
     * 工程类决算总额
     */
    private BigDecimal incomeEngineerEstimateTotal;

    /**
     * 服务类决算总额
     */
    private BigDecimal incomeServiceEstimateTotal;

    //========================成本表================================

    /**
     * 设备采购成本决算总额
     */
    private BigDecimal costPurchaseDeviceEstimateTotal;

    /**
     * 施工采购成本决算总额
     */
    private BigDecimal costPurchaseBuildEstimateTotal;

    /**
     * 服务采购成本决算总额
     */
    private BigDecimal costPurchaseServiceEstimateTotal;

    /**
     * 其他采购成本决算总额
     */
    private BigDecimal costPurchaseOtherEstimateTotal;

    /**
     * 项目管理成本决算总额
     */
    private BigDecimal costProjectManageEstimateTotal;

    /**
     * 其他成本决算总额
     */
    private BigDecimal costOtherEstimateTotal;


    //========================管理表================================

    /**
     * 财务费用决算总额
     */
    private BigDecimal costExpropriationEstimateTotal;

    /**
     * 公司管理费用决算总额
     */
    private BigDecimal costCompanyManageEstimateTotal;

    /**
     * 所得税费用决算总额
     */
    private BigDecimal costIncomeTaxEstimateTotal;


    //========================利润率计算表================================

    /**
     * 项目毛利决算总额
     */
    private BigDecimal grossProfitEstimateTotal;

    /**
     * 项目毛利利润率
     */
    private BigDecimal grossProfitProfitMargin;

    /**
     * 项目贡献利润决算总额
     */
    private BigDecimal contributionProfitEstimateTotal;

    /**
     * 项目贡献利润利润率
     */
    private BigDecimal contributionProfitProfitMargin;

    /**
     * 项目净利润决算总额
     */
    private BigDecimal netProfitEstimateTotal;

    /**
     * 项目净利润利润率
     */
    private BigDecimal netProfitProfitMargin;

    public BigDecimal getIncomeDeviceEstimateTotal() {
        return incomeDeviceEstimateTotal;
    }

    public void setIncomeDeviceEstimateTotal(BigDecimal incomeDeviceEstimateTotal) {
        this.incomeDeviceEstimateTotal = incomeDeviceEstimateTotal;
    }

    public BigDecimal getIncomeEngineerEstimateTotal() {
        return incomeEngineerEstimateTotal;
    }

    public void setIncomeEngineerEstimateTotal(BigDecimal incomeEngineerEstimateTotal) {
        this.incomeEngineerEstimateTotal = incomeEngineerEstimateTotal;
    }

    public BigDecimal getIncomeServiceEstimateTotal() {
        return incomeServiceEstimateTotal;
    }

    public void setIncomeServiceEstimateTotal(BigDecimal incomeServiceEstimateTotal) {
        this.incomeServiceEstimateTotal = incomeServiceEstimateTotal;
    }

    public BigDecimal getCostPurchaseDeviceEstimateTotal() {
        return costPurchaseDeviceEstimateTotal;
    }

    public void setCostPurchaseDeviceEstimateTotal(BigDecimal costPurchaseDeviceEstimateTotal) {
        this.costPurchaseDeviceEstimateTotal = costPurchaseDeviceEstimateTotal;
    }

    public BigDecimal getCostPurchaseBuildEstimateTotal() {
        return costPurchaseBuildEstimateTotal;
    }

    public void setCostPurchaseBuildEstimateTotal(BigDecimal costPurchaseBuildEstimateTotal) {
        this.costPurchaseBuildEstimateTotal = costPurchaseBuildEstimateTotal;
    }

    public BigDecimal getCostPurchaseServiceEstimateTotal() {
        return costPurchaseServiceEstimateTotal;
    }

    public void setCostPurchaseServiceEstimateTotal(BigDecimal costPurchaseServiceEstimateTotal) {
        this.costPurchaseServiceEstimateTotal = costPurchaseServiceEstimateTotal;
    }

    public BigDecimal getCostPurchaseOtherEstimateTotal() {
        return costPurchaseOtherEstimateTotal;
    }

    public void setCostPurchaseOtherEstimateTotal(BigDecimal costPurchaseOtherEstimateTotal) {
        this.costPurchaseOtherEstimateTotal = costPurchaseOtherEstimateTotal;
    }

    public BigDecimal getCostProjectManageEstimateTotal() {
        return costProjectManageEstimateTotal;
    }

    public void setCostProjectManageEstimateTotal(BigDecimal costProjectManageEstimateTotal) {
        this.costProjectManageEstimateTotal = costProjectManageEstimateTotal;
    }

    public BigDecimal getCostOtherEstimateTotal() {
        return (costOtherEstimateTotal == null)?BigDecimal.ZERO:costOtherEstimateTotal;
    }

    public void setCostOtherEstimateTotal(BigDecimal costOtherEstimateTotal) {
        this.costOtherEstimateTotal = costOtherEstimateTotal;
    }

    public BigDecimal getCostExpropriationEstimateTotal() {
        return costExpropriationEstimateTotal;
    }

    public void setCostExpropriationEstimateTotal(BigDecimal costExpropriationEstimateTotal) {
        this.costExpropriationEstimateTotal = costExpropriationEstimateTotal;
    }

    public BigDecimal getCostCompanyManageEstimateTotal() {
        return costCompanyManageEstimateTotal;
    }

    public void setCostCompanyManageEstimateTotal(BigDecimal costCompanyManageEstimateTotal) {
        this.costCompanyManageEstimateTotal = costCompanyManageEstimateTotal;
    }

    public BigDecimal getCostIncomeTaxEstimateTotal() {
        return costIncomeTaxEstimateTotal;
    }

    public void setCostIncomeTaxEstimateTotal(BigDecimal costIncomeTaxEstimateTotal) {
        this.costIncomeTaxEstimateTotal = costIncomeTaxEstimateTotal;
    }

    public BigDecimal getGrossProfitEstimateTotal() {
        return grossProfitEstimateTotal;
    }

    public void setGrossProfitEstimateTotal(BigDecimal grossProfitEstimateTotal) {
        this.grossProfitEstimateTotal = grossProfitEstimateTotal;
    }

    public BigDecimal getGrossProfitProfitMargin() {
        return grossProfitProfitMargin;
    }

    public void setGrossProfitProfitMargin(BigDecimal grossProfitProfitMargin) {
        this.grossProfitProfitMargin = grossProfitProfitMargin;
    }

    public BigDecimal getContributionProfitEstimateTotal() {
        return contributionProfitEstimateTotal;
    }

    public void setContributionProfitEstimateTotal(BigDecimal contributionProfitEstimateTotal) {
        this.contributionProfitEstimateTotal = contributionProfitEstimateTotal;
    }

    public BigDecimal getContributionProfitProfitMargin() {
        return contributionProfitProfitMargin;
    }

    public void setContributionProfitProfitMargin(BigDecimal contributionProfitProfitMargin) {
        this.contributionProfitProfitMargin = contributionProfitProfitMargin;
    }

    public BigDecimal getNetProfitEstimateTotal() {
        return netProfitEstimateTotal;
    }

    public void setNetProfitEstimateTotal(BigDecimal netProfitEstimateTotal) {
        this.netProfitEstimateTotal = netProfitEstimateTotal;
    }

    public BigDecimal getNetProfitProfitMargin() {
        return netProfitProfitMargin;
    }

    public void setNetProfitProfitMargin(BigDecimal netProfitProfitMargin) {
        this.netProfitProfitMargin = netProfitProfitMargin;
    }
}
